/// <reference path="../js/appcan.js" />
/// <reference path="../js/website.js" />


function apply(typeid, id) {
    var typeString = "businessout";
    if (typeid == 2) {
        typeString = "checkfix";
    }
    else if (typeid == 3) {
        typeString = "leave";
    }
    else if (typeid == 4) {
        typeString = "overtime";
    }
    else if (typeid == 5) {
        typeString = "outsidecheck";
    }
    setCache("_Apply_Mgr_Open", 1);
    setCache("_Apply_ID", id);
    setCache("_Apply_Mgr_Type", typeString);

    if (isIOS()) {
        uexWindow.open({
            name: "mgr_apply",
            dataType: 0,
            data: "apply.html",
            animID: 2,
            flag: 4
        });
    }
    else {
        openFrame("mgr_apply", "apply.html", 0);
    }
}

function transfer(typeid, id) {
    var typeString = "businessout";
    if (typeid == 2) {
        typeString = "checkfix";
    }
    else if (typeid == 3) {
        typeString = "leave";
    }
    else if (typeid == 4) {
        typeString = "overtime";
    }
    else if (typeid == 5) {
        typeString = "outsidecheck";
    }
    setCache("_Apply_Mgr_Open", 1);
    setCache("_Apply_ID", id);
    setCache("_Apply_Mgr_Type", typeString);

    if (isIOS()) {
        uexWindow.open({
            name: "mgr_apply",
            dataType: 0,
            data: "transfer.html",
            animID: 2,
            flag: 4
        });
    }
    else {
        openFrame("mgr_apply", "transfer.html", 0);
    }
}

function do_apply() {    
    var url = "/apply" + getCache("_Apply_Mgr_Type") + "/ApplyDo";
    var args = { applyid: getCache("_Apply_ID"), ck: $(".switch").attr("data-checked"), reject: $$("reject").innerHTML };

    appCanGet(url, args, function (result) {
        var json = JSON.parse(result);
        if (!json.checkValid) {
            tralert("验证失败:" + json.err);
            relogon();
            return;
        }

        if (!json.delSucc) {
            tralert("审批失败:" + json.err);
            return;
        }
        tralert("完成审批。");

        setCache("_Apply_Mgr_Open", 0);
        if (isIOS()) {
            appcan.window.close(5, 500);
        }
        else {
            appcan.window.evaluateScript("", "appcan.window.close(5, 500)");
        }
        openttt("mgr", "waitapply", "待批申请");
    }, false, 0, function () { });
}

function do_trans() {
    var newApplyID = parseInt($("#applyUserID").val());
    if (newApplyID == 0) {
        tralert("请选择新的审批人");
        return;
    }

    var url = "/apply" + getCache("_Apply_Mgr_Type") + "/Trans";
    var args = { applyid: getCache("_Apply_ID"), reason: $$("reason").innerHTML, applyUserID: $("#applyUserID").val() };

    appCanGet(url, args, function (result) {
        var json = JSON.parse(result);
        if (!json.checkValid) {
            tralert("验证失败:" + json.err);
            relogon();
            return;
        }

        if (!json.delSucc) {
            tralert("转移审批失败:" + json.err);
            return;
        }
        tralert("完成转移审批。");
        setCache("_Apply_Mgr_Open", 0);
        if (isIOS()) {
            appcan.window.close(5, 500);
        }
        else {
            appcan.window.evaluateScript("", "appcan.window.close(5, 500)");
        }
        openttt("mgr", "waitapply", "待批申请");
    }, false, 0, function () { });
}
